<template>
		<view style="padding: 20upx 32upx;">
			<rich-text :nodes="nodes"></rich-text>
		</view>
</template>

<script>
	export default {
		data() {
			return {
				article_id: '',
				nodes:''
		    }
		},
		onLoad(a) {
			console.log(a);
			this.article_id = a.id;
			let name = a.name;
			uni.setNavigationBarTitle({
			    title: name
			});
			this.getactrile();
		},
		
		methods: {
			getactrile() {
				this.request({
					url: '/v1/entry/news_desc',
					method: 'post',
					data: {
						article_id: this.article_id		 
					},
					success: (res) =>　{
						this.nodes = res.data.data.article_content;
					}
				})
			}
		},
	}
</script>

<style>
</style>
